libwps::MultiplanParserInternal::State Struct Reference

the state of MultiplanParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style
std::vector< WPSColumnFormat > | getColumnsWidth () const
| returns the column width in point

## Static Public Member Functions
static WPSFont | getDefaultFont ()
| returns a default font (Courier12) with file's version to define the default encoding *‍/

## Public Attributes
long | m_eof
| the last file position
int | m_version
| the file version
libwps_tools_win::Font::Type | m_fontType
| the user font type
Vec2i | m_maximumCell
| the maximumCell
std::vector< int > | m_columnWidths
| the columns width in char, 0 means default
std::vector< Zone > | m_zonesList
| the list of cell's data zone
std::map< int, std::vector< int > > | m_cellPositionsMap
| the positions of each cell: a vector for each row
WPSEntry | m_entries [5]
| the different main spreadsheet zones
std::map< int, WKSContentListener::FormulaInstruction > | m_posToLinkMap
| the list of link instruction
std::map< int, WKSContentListener::FormulaInstruction > | m_posToNameMap
| the map name's pos to name's cell instruction
std::set< int > | m_posToSharedDataSeen
| a set a shared data already seen
char const * | m_password
| the password (if known)
int | m_hash
| the file hash
int | m_checksum
| the file checksum
uint8_t | m_keys [16]
| the list of decoding keys

## Private Member Functions
| State (State const &)=delete
State & | operator= (State const &)=delete

## Detailed Description

the state of MultiplanParser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

libwps::MultiplanParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password )
| inline

constructor

Referenced by operator=(), and State().

## ◆ State() [2/2]

libwps::MultiplanParserInternal::State::State | ( | State const & |  | ) |
| private delete

## Member Function Documentation

## ◆ getColumnsWidth()

std::vector< WPSColumnFormat > libwps::MultiplanParserInternal::State::getColumnsWidth | ( |  | ) | const

returns the column width in point

## ◆ getDefaultFont()

WPSFont libwps::MultiplanParserInternal::State::getDefaultFont | ( |  | ) |
| inline static

returns a default font (Courier12) with file's version to define the default encoding *‍/

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type libwps::MultiplanParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ operator=()

State & libwps::MultiplanParserInternal::State::operator= | ( | State const & |  | ) |
| private delete

## Member Data Documentation

## ◆ m_cellPositionsMap

std::map<int,std::vector<int> > libwps::MultiplanParserInternal::State::m_cellPositionsMap

the positions of each cell: a vector for each row

Referenced by State().

## ◆ m_checksum

int libwps::MultiplanParserInternal::State::m_checksum

the file checksum

Referenced by State().

## ◆ m_columnWidths

std::vector<int> libwps::MultiplanParserInternal::State::m_columnWidths

the columns width in char, 0 means default

Referenced by getColumnsWidth(), and State().

## ◆ m_entries

WPSEntry libwps::MultiplanParserInternal::State::m_entries[5]

the different main spreadsheet zones

## ◆ m_eof

long libwps::MultiplanParserInternal::State::m_eof

the last file position

Referenced by State().

## ◆ m_fontType

libwps_tools_win::Font::Type libwps::MultiplanParserInternal::State::m_fontType

the user font type

Referenced by getDefaultFontType(), and State().

## ◆ m_hash

int libwps::MultiplanParserInternal::State::m_hash

the file hash

Referenced by State().

## ◆ m_keys

uint8_t libwps::MultiplanParserInternal::State::m_keys[16]

the list of decoding keys

Referenced by State().

## ◆ m_maximumCell

Vec2i libwps::MultiplanParserInternal::State::m_maximumCell

the maximumCell

Referenced by State().

## ◆ m_password

char const* libwps::MultiplanParserInternal::State::m_password

the password (if known)

Referenced by State().

## ◆ m_posToLinkMap

std::map<int, WKSContentListener::FormulaInstruction> libwps::MultiplanParserInternal::State::m_posToLinkMap

the list of link instruction

Referenced by State().

## ◆ m_posToNameMap

std::map<int, WKSContentListener::FormulaInstruction> libwps::MultiplanParserInternal::State::m_posToNameMap

the map name's pos to name's cell instruction

Referenced by State().

## ◆ m_posToSharedDataSeen

std::set<int> libwps::MultiplanParserInternal::State::m_posToSharedDataSeen

a set a shared data already seen

Referenced by State().

## ◆ m_version

int libwps::MultiplanParserInternal::State::m_version

the file version

Referenced by State().

## ◆ m_zonesList

std::vector<Zone> libwps::MultiplanParserInternal::State::m_zonesList

the list of cell's data zone

Referenced by State().

The documentation for this struct was generated from the following file:

- Multiplan.cpp